Package org.apache.lucene.search.matchhighlight

## Interface MatchRegionRetriever.MatchOffsetsConsumer

- Enclosing class:
    MatchRegionRetriever
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface MatchRegionRetriever.MatchOffsetsConsumer

  A callback for accepting a single document (and its associated leaf reader, leaf document ID) and its match offset ranges, as indicated by the `Matches` interface retrieved for the query.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(int docId, LeafReader leafReader, int leafDocId, Map<String,​List<OffsetRange>> hits)` |

- - ### Method Detail

    - #### accept

          void accept​(int docId,
                      LeafReader leafReader,
                      int leafDocId,
                      Map<String,​List<OffsetRange>> hits)
               throws IOException

      Throws:
        `IOException`